*If(strcmp(MatProp(Type_of_definition_CERHYD),"FILE")==0)
//Transport L7 - CERHYD parameters from file *MatProp(0).inp
SPECIFIC
*tcl(DejObsahSouboruMaterial *MatProp(0) ".inp" "Template_for_material_TransportLevel7.bas")
*ElseIf(strcmp(MatProp(Type_of_definition_CERHYD),"USER")==0)

//Transport L7 - CERHYD parameters
SPECIFIC  
*If(strcmp(MatProp(Hydration_maturity),"TABLE")==0)
    DOH_FNC_ID *Operation(matvar*IncrAdvancedFunID+121)
*ElseIf(strcmp(MatProp(Hydration_maturity),"TABLE_AT_25C")==0)
    DOH25_FNC_ID *Operation(matvar*IncrAdvancedFunID+121)
    A *MatProp(A,real)
    EA *MatProp(EA,real)    
*ElseIf(strcmp(MatProp(Hydration_maturity),"ANALYTICAL")==0)
    B1 *MatProp(B1,real)
    B2 *MatProp(B2,real)
    ALPHAINF *MatProp(ALPHAINF,real) 
    ETA *MatProp(ETA,real)
    A *MatProp(A,real)
    EA *MatProp(EA,real)    
*EndIf
    QH_POT *MatProp(QH_POT,real)
    QW_POT *MatProp(QW_POT,real)
    TH_INIT *MatProp(TH_INIT,real)
    ALPHA_INIT *MatProp(ALPHA_INIT,real)
    TH_INCR_MIN *MatProp(TH_INCR_MIN,real)
    TH_INCR_MAX *MatProp(TH_INCR_MAX,real)
    TEMPERATURE_INCR_MAX *MatProp(TEMPERATURE_INCR_MAX,real)
    CEMENT_MASS *MatProp(CEMENT_MASS,real)
    AGGREGATE_MASS *MatProp(AGGREGATE_MASS,real)
    FILLER_MASS *MatProp(FILLER_MASS,real)
    CEMENT_DENSITY *MatProp(CEMENT_DENSITY,real)
    WATER_DENSITY *MatProp(WATER_DENSITY,real) 
    AGGREGATE_DENSITY *MatProp(AGGREGATE_DENSITY,real)
    FILLER_DENSITY *MatProp(FILLER_DENSITY,real)
    C_AGGREGATE_TEMP_TEMP *MatProp(C_AGGREGATE_TEMP_TEMP,real)
    C_FILLER_TEMP_TEMP *MatProp(C_FILLER_TEMP_TEMP,real)
    C_CEMENT_TEMP_TEMP *MatProp(C_CEMENT_TEMP_TEMP,real)
    C_WATER_TEMP_TEMP *MatProp(C_WATER_TEMP_TEMP,real)
    K_AGGREGATE_TEMP_TEMP *MatProp(K_AGGREGATE_TEMP_TEMP,real)
    K_FILLER_TEMP_TEMP *MatProp(K_FILLER_TEMP_TEMP,real)
    K_CEMENT_TEMP_TEMP *MatProp(K_CEMENT_TEMP_TEMP,real)
    K_WATER_TEMP_TEMP *MatProp(K_WATER_TEMP_TEMP,real)
    K_AIR_TEMP_TEMP *MatProp(K_AIR_TEMP_TEMP,real)
    W_F *MatProp(W_F,real)
    H80 *MatProp(H80,real)
    W80 *MatProp(W80,real)
    TEMP0 *MatProp(TEMP0,real)
    A_WV *MatProp(A_WV,real) 
    A_W *MatProp(A_W,real)
    MI_WV *MatProp(MI_WV,real)
    TEMP0_ICE *MatProp(TEMP0_ICE,real)
    A_WV_ICE *MatProp(A_WV_ICE,real)

*Else
 // no definition of LEVEL7 material !!!
*EndIf